## firebird3.0 3.0.5.33220.ds4

=== debian/changelog ===
firebird3.0 (3.0.5.33220.ds4-1build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:32:40 +0100

firebird3.0 (3.0.5.33220.ds4-1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 08:57:08 +0100

firebird3.0 (3.0.5.33220.ds4-1) unstable; urgency=medium

  * New upstream release
  * remove a couple of files dropped upstream from debian/copyright

 -- Damyan Ivanov <dmn@debian.org>  Wed, 22 Jan 2020 08:04:53 +0000

firebird3.0 (3.0.5.33209.ds4-1) unstable; urgency=medium

  * debian/make_packages.sh: drop 'mkdir' from the list of directories passed
    to mkdir -p. It is harmless, but still wrong
    Thanks to Russell Stuart (Closes: #946663)
  * New upstream snapshot from the B3_0_Release branch
  * copyright:
    + drop two files and add one file
  * debian/copyright_check.pl:
    + adapt to machine-readable debian/copyright
    + skip '.git/' only, not everything beginning with '.git'
  * refresh/rebase patches

 -- Damyan Ivanov <dmn@debian.org>  Sat, 14 Dec 2019 21:54:00 +0000

firebird3.0 (3.0.5.33189.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch
  * refresh line numbers in two patches
  * Declare conformance to Policy 4.4.1 (no changes needed)
  * Remove unused lintian override for -common-doc

 -- Damyan Ivanov <dmn@debian.org>  Wed, 27 Nov 2019 18:44:54 +0000

firebird3.0 (3.0.5.33157.ds4-1) unstable; urgency=medium

  * New upstream snapshot from the B3_0_Release branch
  * update copyright summary
  * refresh/adapt patches
  * bump debhelper compatibility level to 12
  * add 'Pre-Depends: ${misc:Pre-Depends}' to all packages

 -- Damyan Ivanov <dmn@debian.org>  Sat, 13 Jul 2019 19:12:14 +0000

firebird3.0 (3.0.5.33100.ds4-3) unstable; urgency=medium

  * fix spelling error in copyright
  * install manuals for admin binaries in section 8
  * rules: remove unsupported "--with-bin" configure argument
  * rules: comment wording
  * adopt dh as package build system
  * Declare conformance with policy 4.4.0

 -- Damyan Ivanov <dmn@debian.org>  Sat, 13 Jul 2019 18:41:50 +0000

firebird3.0 (3.0.5.33100.ds4-2+exp1) experimental; urgency=medium

  * Address FTCBFS: Obtain pkg-config from dpkg's buildtools.mk.
    Patch by Helmut Grohne, Closes: #928849

 -- Damyan Ivanov <dmn@debian.org>  Thu, 16 May 2019 18:46:48 +0000

=== debian/control ===
Source: firebird3.0
Section: database
Priority: optional
Maintainer: Damyan Ivanov <dmn@debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper-compat (= 12),
 gawk,
 libboost-dev,
 libedit-dev,
 libicu-dev,
 libtommath-dev,
 libtool,
 pkg-config,
 po-debconf,
 rename,
 zlib1g-dev,
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/firebird-team/firebird3.0.git
Vcs-Browser: https://salsa.debian.org/firebird-team/firebird3.0
Homepage: http://firebirdsql.org/
Rules-Requires-Root: no

Package: firebird3.0-server-core
Architecture: any
Multi-Arch: same
Breaks: firebird3.0-server (<< 3.0.0.32483.ds4-6~)
Replaces: firebird3.0-server (<< 3.0.0.32483.ds4-6~)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${icu:Depends},
 firebird3.0-common (= ${source:Version}),
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Recommends: firebird3.0-utils
Suggests: firebird3.0-server
Enhances: libfbclient2
Description: Firebird engine core
 Firebird database engine and support libraries. This package is required for
 embedded (serverless) access to local databases with the tools packaged in
 firebird3.0-utils or other binaries linked to the firebird client library,
 libfbclient2.
 .
 The rest of the binaries needed for running a full-featured,
 remotely-accessible Firebird server are in the firebird3.0-server package.

Package: firebird3.0-server
Architecture: any
Provides: firebird-server
Conflicts: firebird-server,
 firebird2.5-server-common,
 firebird2.1-super, firebird2.1-classic, firebird2.1-server-common,
Replaces: firebird3.0-server-core (<< 3.0.3.32900.ds4-3~)
Depends: adduser, ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
 firebird3.0-server-core (= ${binary:Version}),
 firebird3.0-utils (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 ${misc:Depends}, debconf (>= 1.4.69),
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Recommends: libib-util
Suggests: firebird3.0-doc
Description: Firebird Server - an RDBMS based on InterBase 6.0 code
 Firebird is a relational database offering many ANSI SQL-99 features that
 runs on Linux, Windows, and a variety of Unix platforms. Firebird offers
 excellent concurrency, high performance, and powerful language support
 for stored procedures and triggers. It has been used on production systems
 under a variety of names since 1981.
 .
 This package contains the server binary as well as its configuration files.
 The default mode of operation is the so called "super", which is a
 single-threaded server process with shared database cache between
 connections. The two other operation modes -- "classic" (separate
 process/cache for each connection) and "superclassic" (separate thread/cache
 for each connection) are also available via configuration options.

Package: firebird3.0-utils
Architecture: any
Provides: firebird-utils
Conflicts: firebird-utils,
 firebird2.5-common, firebird2.5-server-common,
 firebird2.1-super, firebird2.1-classic, firebird2.1-common,
 firebird2.5-super, firebird2.5-classic-common
Depends: ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
 ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Recommends:
 firebird3.0-server-core,
Suggests:
 firebird3.0-doc,
 firebird3.0-server,
Description: Firebird command line utilities
 This package contains the utilities for managing Firebird databases:
  * isql-fb -- interactive console (original name isql)
  * gbak -- backup and restore databases
  * gfix -- check and repair databases
  * gsec -- manage users and roles
  * fbstat -- analyze databases (original name gstat)
  * nbackup -- incremental backup and file-level copy
  * gpre -- preprocess sources with embedded SQL

Package: libfbclient2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
 ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Firebird client library
 Client library for connecting to the Firebird server. It can also be used for
 direct (embedded) database access.
 .
 See firebird3.0-server package for more information about Firebird.

Package: libib-util
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Firebird UDF support library
 Contains utility functions used by Firebird User-Defined Functions (UDF) for
 memory management etc.
 .
 See firebird3.0-server package for more information about Firebird.

Package: firebird3.0-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: common files for firebird 3.0 server, client and utilities
 Common files for the Firebird server, client and user utilities.
 .
 These include the support scripts as well as configuration files in
 /etc/firebird/3.0.

Package: firebird-dev
Section: libdevel
Architecture: any
Conflicts: firebird2-dev, firebird2.1-dev, firebird2.5-dev
Replaces: firebird2-dev, firebird2.1-dev, firebird2.5-dev
Depends: libfbclient2 (>= ${source:Version}),
 libib-util (>= ${source:Version}),
 ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Suggests: firebird3.0-examples
Description: Development files for Firebird
 C header files for Firebird, useful if one compiles programs that use the
 Firebird client to work with Firebird databases.
 .
 See firebird3.0-server package for more information about Firebird.

Package: firebird3.0-examples
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Recommends: firebird3.0-dev
Description: Examples for Firebird database
 The examples included in this package are provided as samples and are also
 used by Firebird's testing suite (TCS). The examples are in the form
 of .h, .c, .e, .fdb and .gbk files.
 .
 See firebird3.0-server package for more information about Firebird.

Package: firebird3.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 firebird3.0-common-doc (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Documentation files for firebird database version 3.0
 Various documents for firebird 3.0. These include the release notes, what's
 new in firebird 3.0, quick start guide, upgrade guide, list of ISQL
 enhancements etc.

Package: firebird3.0-common-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: copyright, licensing and changelogs of firebird3.0
 Copyright, licensing information and upstream changelog of firebird3.0.
 .
 Due to the size of the upstream change log and copyright/licensing summary,
 keeping them in a separate package saves space on mirrors and when installing
 firebird3.0 packages.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --without autoreconf
# autogen is being run during the configure phase

FB_MAJOR:= $(shell awk '/FB_MAJOR_VER/ { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
FB_MINOR:= $(shell awk '/FB_MINOR_VER/ { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
FB_REV	:= $(shell awk '/FB_REV_NO/    { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
FB_VER	:= $(FB_MAJOR).$(FB_MINOR)
FB_FULL_VER:= $(FB_VER).$(FB_REV)

include /usr/share/dpkg/pkg-info.mk
SOURCE_DATE := $(shell date -d@$(SOURCE_DATE_EPOCH) -u +"%Y-%m-%d")

CLIENT_SOVER := 2
UTIL_SOVER :=

ifndef FB_MAJOR
$(error FB_MAJOR not defined)
else ifndef FB_MINOR
$(error FB_MINOR not defined)
else ifndef FB_REV
$(error FB_REV not defined)
else ifndef FB_VER
$(error FB_VER not defined)
else ifndef FB_FULL_VER
$(error FB_FULL_VER not defined)
else ifndef CLIENT_SOVER
$(error CLIENT_SOVER not defined)
endif

-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config
# Use the following lines to set the compiler if
# the default Debian one can't be used (or you want to try
# the bleeding edge)
#export CC=gcc-5
#export CXX=g++-5
#export CPP=cpp-5
#export CXXPP=cpp-5


export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
   NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_OS), linux)
	confflags += --enable-raw-devices
else
	confflags += --disable-raw-devices
endif

DOC := /usr/share/doc/firebird${FB_VER}-common-doc
ULFB := /usr/lib/${DEB_HOST_MULTIARCH}/firebird/${FB_VER}
USFB := /usr/share/firebird/${FB_VER}
VAR := /var/lib/firebird/${FB_VER}
RUN := /run/firebird${FB_VER}

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow
export DEB_CXXFLAGS_MAINT_APPEND := -DUCHAR_TYPE=uint16_t -fno-lifetime-dse -fno-strict-aliasing
export DEB_CFLAGS_MAINT_APPEND := -fno-strict-aliasing

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/buildflags.mk

confflags += --disable-rpath --with-gpre-cobol \
	     --with-system-editline --prefix=${ULFB} --with-fbsbin=/usr/sbin \
	     --with-fblib=/usr/lib/${DEB_HOST_MULTIARCH} \
	     --with-fbconf=${ULFB} --with-fbdoc=${DOC} \
	     --with-fbudf=${ULFB}/UDF --with-fbsample=${DOC}/examples \
	     --with-fbsample-db=${DOC}/examples/empbuild \
	     --with-fbhelp=${VAR}/system --with-fbintl=${ULFB}/intl \
	     --with-fbmisc=${ULFB}/misc --with-fbsecure-db=${VAR}/system \
	     --with-fblog=/var/log/firebird --with-fbglock=${RUN} \
	     --with-fblogfilename=firebird$(FB_VER).log \
	     --with-fbplugins=${ULFB}/plugins \
	     --with-fbmsg=${ULFB}

# see #575564
export FIREBIRD_LOCK := $(CURDIR)/debian/tmp-lock

# Packaging is split into several packages:
# * firebirdVV-server (incl libengineXX)
# * libfbclient2
# * libib-util
# * firebirdVV-utils
# * firebirdVV-common (common parts to client and utils)
# * firebirdVV-common-doc (big copyright and changelog in one place)
# * firebirdVV-doc
# * firebirdVV-examples
# * firebird-dev


override_dh_auto_configure:
	NOCONFIGURE=1 sh autogen.sh
	dh_auto_configure -- $(confflags)

ifneq (,$(filter nodoc,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
    MANUALS_BASE_USR :=
    MANUALS_BASE_SYS :=
else
    MANUALS_BASE_USR := isql-fb gbak gfix gpre gsec fbstat nbackup \
                        fbsvcmgr fbtracemgr fb_lock_print fb_config
    MANUALS_BASE_SYS := fbguard firebird
endif
MANUALS := $(addprefix debian/man/,$(addsuffix .1,$(MANUALS_BASE_USR))) \
           $(addprefix debian/man/,$(addsuffix .8,$(MANUALS_BASE_SYS)))

%.1 : %.pod
	pod2man -c "Firebird documentation" --release "Firebird $(FB_VER)"  $< > $@
%.8 : %.pod
	pod2man -c "Firebird documentation" --release "Firebird $(FB_VER)"  --section 8 $< > $@

FB_IMG := debian/firebird-image

override_dh_auto_build:
	$(MAKE) -f debian/rules $(NJOBS) $(MANUALS)
	[ -d $(FIREBIRD_TMP) ] || mkdir $(FIREBIRD_TMP)
	rm -rf $(FB_IMG)
	dh_auto_build -- QUIET=1

	#fakeroot $(MAKE) -C gen -f Makefile.install buildRoot
	#mv ./gen/buildroot ./debian/firebird-build
	cp -a ./gen/Release/firebird $(FB_IMG)
	cp -a src/include/gen $(FB_IMG)/include-gen

	echo "Built image contents"
	cd $(FB_IMG) && ls -lR

	sed -i -e's,-I$$fb_incdir,,'  $(FB_IMG)/bin/fb_config
	sed -i -e's,-L$$fb_libdir ,,' $(FB_IMG)/bin/fb_config

	sh $(FB_IMG)/bin/fb_config --cflags
	sh $(FB_IMG)/bin/fb_config --libs

override_dh_clean:
	dh_clean
	
	rm -f $(MANUALS)
	
	debconf-updatepo
	
	@echo FB_MAJOR = $(FB_MAJOR)
	@echo FB_MINOR = $(FB_MINOR)
	@echo FB_REV   = $(FB_REV)
	@echo FB_VER   = $(FB_VER)
	@echo FB_FULL_VER = $(FB_FULL_VER)
	@echo CLIENT_SOVER= $(CLIENT_SOVER)
	@echo UTIL_SOVER= $(UTIL_SOVER)

override_dh_auto_install:
	sh debian/make_packages.sh

ICU_VER := $(shell $(PKG_CONFIG) icu-i18n --modversion|sed 's/[^0-9]*\([0-9]\+\).*/\1/')
ifeq ($(ICU_VER),)
    $(error Unable to determine ICU version)
endif

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog -p firebird$(FB_VER)-common-doc
override_dh_installdocs:
	dh_installdocs -p firebird$(FB_VER)-common-doc
	dh_installdocs -Xchangelog -Xcopyright -p firebird$(FB_VER)-doc
override_dh_installlogrotate:
	dh_installlogrotate --name firebird$(FB_VER)
override_dh_installinit:
	dh_installinit -pfirebird$(FB_VER)-server --name=firebird$(FB_VER)
override_dh_installsystemd:
	dh_installsystemd -pfirebird$(FB_VER)-server --name=firebird$(FB_VER)
override_dh_link-arch:
	dh_link -a -A
override_dh_makeshlibs:
	dh_makeshlibs -p libfbclient$(CLIENT_SOVER) -V'libfbclient$(CLIENT_SOVER) (>= $(FB_FULL_VER)~)'
	dh_makeshlibs -p libib-util$(UTIL_SOVER) -V'libib-util$(UTIL_SOVER) (>= $(FB_FULL_VER)~)'
	dpkg-gensymbols -plibfbclient$(CLIENT_SOVER) -Pdebian/libfbclient$(CLIENT_SOVER)
	dpkg-gensymbols -plibib-util$(UTIL_SOVER) -Pdebian/libib-util$(UTIL_SOVER)
override_dh_shlibdeps:
	dh_shlibdeps -a -X /plugins/
override_dh_gencontrol-arch:
	dh_gencontrol -a -- -V"icu:Depends=libicu$(ICU_VER)"

=== debian/watch ===
# watch control file for uscan
# you can run the "uscan" command
# to check for upstream updates and more.
# Full-site-with-pattern  [Version  [Action]]

version=4
#opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds4" \
#  http://sf.net/firebird/[Ff]irebird-(3\.0\..*).tar.bz2
opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds4" \
  https://firebirdsql.org/en/firebird-3-0/ .*/[Ff]irebird-(3\.0\..*).tar.bz2

## firebird3.0 3.0.6.33328.ds4

=== debian/changelog ===
firebird3.0 (3.0.6.33328.ds4-2build1) groovy; urgency=medium

  * No change rebuild against new icu ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 16:41:06 +0100

firebird3.0 (3.0.6.33328.ds4-2) unstable; urgency=medium

  * Restore charset support broken with -1
    + Revert "remove symlinks in surogate "firebird root" directory"
    + Revert "use --with-fbconf=/etc/firebird/3.0"

 -- Damyan Ivanov <dmn@debian.org>  Wed, 01 Jul 2020 12:01:11 +0000

firebird3.0 (3.0.6.33328.ds4-1) unstable; urgency=medium

  * New upstream version 3.0.6.33328.ds4
  * update copyright summary (two new files)
  * drop core-6343-dupl-pk-after-rollback.patch; released upstream
  * update file offsets in 6 patches
  * convert debian/po/es.po to UTF-8
  * declare compliance with Policy 4.5.0 (no changes needed)
  * recode ods11-index-structure.html to UTF-8
  * fix a typo in license text
  * remove symlinks in surrogate "firebird root" directory and use
    --with-fbconf=/etc/firebird/3.0

 -- Damyan Ivanov <dmn@debian.org>  Mon, 29 Jun 2020 12:19:14 +0000

firebird3.0 (3.0.5.33220.ds4-2) unstable; urgency=medium

  * fix possible duplication of primary key values after an exception and a rollback
    (Closes: #963731)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 26 Jun 2020 08:17:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: firebird3.0
 Section: database
 Priority: optional
-Maintainer: Damyan Ivanov <dmn@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
  autoconf,
  automake,
@@ -14,10 +15,11 @@
  libtool,
  pkg-config,
  po-debconf,
+ recode,
  rename,
  zlib1g-dev,
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/firebird-team/firebird3.0.git
 Vcs-Browser: https://salsa.debian.org/firebird-team/firebird3.0
 Homepage: http://firebirdsql.org/

## firebird3.0 3.0.7.33374.ds4

=== debian/changelog ===
firebird3.0 (3.0.7.33374.ds4-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 26 Jan 2021 19:32:36 -0500

firebird3.0 (3.0.7.33374.ds4-2) unstable; urgency=medium

  * work around problems with Turkish locale during configuration
    (Closes: #978074)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 25 Dec 2020 20:12:41 +0000

firebird3.0 (3.0.7.33374.ds4-1) unstable; urgency=medium

  * Use secure URI for Homepage.
    Thanks to the Debian Janitor
  * watch: switch to github, allow any kind of archive suffix
  * New upstream version 3.0.7.33374.ds4
  * refresh two patches

 -- Damyan Ivanov <dmn@debian.org>  Tue, 20 Oct 2020 17:07:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: firebird3.0
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
  autoconf,
@@ -22,7 +22,7 @@
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/firebird-team/firebird3.0.git
 Vcs-Browser: https://salsa.debian.org/firebird-team/firebird3.0
-Homepage: http://firebirdsql.org/
+Homepage: https://firebirdsql.org/
 Rules-Requires-Root: no
 
 Package: firebird3.0-server-core

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 
 %:
 	dh $@ --without autoreconf
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 # autogen is being run during the configure phase
 
 FB_MAJOR:= $(shell awk '/FB_MAJOR_VER/ { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )

## firebird3.0 3.0.8.33535.ds4

=== extern/cloop/Makefile ===
MODULES	:= cloop tests tests/test1

WITH_FPC	:= 1

TARGET	:= release

CC	:= $(CC)
CXX	:= $(CXX)
LD	:= $(CXX)

SRC_DIR		:= src
BUILD_DIR	:= build
OUT_DIR		:= output
SHRLIB_EXT	:= .so
EXE_EXT		:=

OBJ_DIR := $(BUILD_DIR)/$(TARGET)
BIN_DIR := $(OUT_DIR)/$(TARGET)/bin
LIB_DIR := $(OUT_DIR)/$(TARGET)/lib

SRC_DIRS := $(addprefix $(SRC_DIR)/,$(MODULES))
OBJ_DIRS := $(addprefix $(OBJ_DIR)/,$(MODULES))

SRCS_C := $(foreach sdir,$(SRC_DIRS),$(wildcard $(sdir)/*.c))
SRCS_CPP := $(foreach sdir,$(SRC_DIRS),$(wildcard $(sdir)/*.cpp))

OBJS_C := $(patsubst $(SRC_DIR)/%.c,$(OBJ_DIR)/%.o,$(SRCS_C))
OBJS_CPP := $(patsubst $(SRC_DIR)/%.cpp,$(OBJ_DIR)/%.o,$(SRCS_CPP))

C_FLAGS := -ggdb -fPIC -MMD -MP -W -Wall -Wno-unused-parameter
CXX_FLAGS := $(C_FLAGS)
FPC_FLAGS := -Mdelphi

ifeq ($(TARGET),release)
	CXX_FLAGS += -O3
endif

ifeq ($(TARGET),debug)
	FPC_FLAGS += -g
endif

vpath %.c $(SRC_DIRS)
vpath %.cpp $(SRC_DIRS)

define compile
$1/%.o: %.c | $1
	$(CC) -c $$(C_FLAGS) $$< -o $$@

$1/%.o: %.cpp | $1
	$(CXX) -c $$(CXX_FLAGS) $$< -o $$@
endef

.PHONY: all mkdirs clean

all: mkdirs \
	$(BIN_DIR)/cloop	\
	$(BIN_DIR)/test1-c$(SHRLIB_EXT)	\
	$(BIN_DIR)/test1-c$(EXE_EXT)	\
	$(BIN_DIR)/test1-cpp$(SHRLIB_EXT)	\
	$(BIN_DIR)/test1-cpp$(EXE_EXT)	\
	$(BIN_DIR)/test1-pascal$(SHRLIB_EXT)	\
	$(BIN_DIR)/test1-pascal$(EXE_EXT)

mkdirs: $(OBJ_DIRS) $(BIN_DIR) $(LIB_DIR)

$(OBJ_DIRS) $(BIN_DIR) $(LIB_DIR):
	@mkdir -p $@

clean:
	@rm -rf $(BUILD_DIR) $(OUT_DIR)

$(foreach bdir,$(OBJ_DIRS),$(eval $(call compile,$(bdir))))

-include $(addsuffix .d,$(basename $(OBJS_C)))
-include $(addsuffix .d,$(basename $(OBJS_CPP)))

$(BIN_DIR)/cloop: \
	$(OBJ_DIR)/cloop/Expr.o \
	$(OBJ_DIR)/cloop/Generator.o \
	$(OBJ_DIR)/cloop/Lexer.o \
	$(OBJ_DIR)/cloop/Parser.o \
	$(OBJ_DIR)/cloop/Main.o \

	$(LD) $^ -o $@

$(SRC_DIR)/tests/test1/CalcCApi.h: $(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl
	$(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl c-header $@ CALC_C_API_H CALC_I

$(SRC_DIR)/tests/test1/CalcCApi.c: $(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl $(SRC_DIR)/tests/test1/CalcCApi.h
	$(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl c-impl $@ CalcCApi.h CALC_I

$(SRC_DIR)/tests/test1/CalcCppApi.h: $(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl
	$(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl c++ $@ CALC_CPP_API_H calc I

$(SRC_DIR)/tests/test1/CalcPascalApi.pas: $(BIN_DIR)/cloop \
	$(SRC_DIR)/tests/test1/Interface.idl \
	$(SRC_DIR)/tests/test1/CalcPascalApi.interface.pas \
	$(SRC_DIR)/tests/test1/CalcPascalApi.implementation.pas
	$(BIN_DIR)/cloop $(SRC_DIR)/tests/test1/Interface.idl pascal $@ CalcPascalApi \
		--uses "SysUtils" \
		--interfaceFile $(SRC_DIR)/tests/test1/CalcPascalApi.interface.pas \
		--implementationFile $(SRC_DIR)/tests/test1/CalcPascalApi.implementation.pas \
		--exceptionClass CalcException

$(SRC_DIR)/tests/test1/CppTest.cpp: $(SRC_DIR)/tests/test1/CalcCppApi.h

$(BIN_DIR)/test1-c$(SHRLIB_EXT): \
	$(OBJ_DIR)/tests/test1/CalcCApi.o \
	$(OBJ_DIR)/tests/test1/CTest.o \

	$(LD) $^ -shared -ldl -o $@

$(BIN_DIR)/test1-c$(EXE_EXT): \
	$(OBJ_DIR)/tests/test1/CalcCApi.o \
	$(OBJ_DIR)/tests/test1/CTest.o \

	$(LD) $^ -ldl -o $@

$(BIN_DIR)/test1-cpp$(SHRLIB_EXT): \
	$(OBJ_DIR)/tests/test1/CppTest.o \

	$(LD) $^ -shared -ldl -o $@

$(BIN_DIR)/test1-cpp$(EXE_EXT): \
	$(OBJ_DIR)/tests/test1/CppTest.o \

	$(LD) $^ -ldl -o $@

$(BIN_DIR)/test1-pascal$(SHRLIB_EXT): \
	$(SRC_DIR)/tests/test1/PascalClasses.pas \
	$(SRC_DIR)/tests/test1/PascalLibrary.dpr \
	$(SRC_DIR)/tests/test1/CalcPascalApi.pas \

ifeq ($(WITH_FPC),1)
	fpc $(FPC_FLAGS) -fPIC -FU$(OBJ_DIR)/tests/test1 -o$(BIN_DIR)/test1-pascal$(SHRLIB_EXT) $(SRC_DIR)/tests/test1/PascalLibrary.dpr
endif

$(BIN_DIR)/test1-pascal$(EXE_EXT): \
	$(SRC_DIR)/tests/test1/PascalClasses.pas \
	$(SRC_DIR)/tests/test1/PascalTest.dpr \
	$(SRC_DIR)/tests/test1/CalcPascalApi.pas \

ifeq ($(WITH_FPC),1)
	fpc $(FPC_FLAGS) -FU$(OBJ_DIR)/tests/test1 -o$(BIN_DIR)/test1-pascal$(EXE_EXT) $(SRC_DIR)/tests/test1/PascalTest.dpr
endif

=== debian/changelog ===
firebird3.0 (3.0.8.33535.ds4-1ubuntu2) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:39:18 +0100

firebird3.0 (3.0.8.33535.ds4-1ubuntu1) jammy; urgency=medium

  * Switch architecture to i686 on Ubuntu instead of i486

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Nov 2021 21:41:01 +0100

firebird3.0 (3.0.8.33535.ds4-1) unstable; urgency=medium

  * New upstream version 3.0.8.33535.ds4
    + add several new files to debian/copyright
    + drop deb/kfreebsd-inet6.patch, released upstream
    + refresh several patches
    + adapt out/c++-std.patch
    + adapt out/no-copy-from-icu.patch to the new way upstream borrowed from
      ICU source

 -- Damyan Ivanov <dmn@debian.org>  Sat, 20 Nov 2021 19:23:38 +0000

firebird3.0 (3.0.7.33374.ds4-3) unstable; urgency=medium

  * fix build with missing builds/make.new
    Closes: #997483 -- FTBFS
  * Standards-Version: 4.6.0, no changes necessary

 -- Damyan Ivanov <dmn@debian.org>  Sun, 24 Oct 2021 08:20:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: firebird3.0
 Section: database
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
+Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
  autoconf,
  automake,
@@ -19,7 +18,7 @@
  rename,
  zlib1g-dev,
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/firebird-team/firebird3.0.git
 Vcs-Browser: https://salsa.debian.org/firebird-team/firebird3.0
 Homepage: https://firebirdsql.org/

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,6 @@
 
 %:
 	dh $@ --without autoreconf
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 # autogen is being run during the configure phase
 
 FB_MAJOR:= $(shell awk '/FB_MAJOR_VER/ { v=$$3; gsub("\"", "", v); print v}' < src/jrd/build_no.h )
@@ -110,6 +106,7 @@
 
 
 override_dh_auto_configure:
+	mkdir -p builds/make.new
 	NOCONFIGURE=1 sh autogen.sh
 	dh_auto_configure -- $(confflags)

=== debian/watch ===
--- 
+++ 
@@ -6,5 +6,7 @@
 version=4
 #opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds4" \
 #  http://sf.net/firebird/[Ff]irebird-(3\.0\..*).tar.bz2
+#opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds4" \
+#  https://firebirdsql.org/en/firebird-3-0/ .*/[Ff]irebird-(3\.0\.\d+(?:\.\d+)?)(?:-0)?@ARCHIVE_EXT@
 opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds4" \
-  https://firebirdsql.org/en/firebird-3-0/ .*/[Ff]irebird-(3\.0\..*).tar.bz2
+  https://github.com/FirebirdSQL/firebird/releases .*/[Ff]irebird-(3\.0\.\d+(?:\.\d+)?)(?:-0)?@ARCHIVE_EXT@

## firebird3.0 3.0.11.33637.ds4

=== src/remote/CMakeLists.txt ===
include(SourceGroups)

###############################################################################
# LIBRARY remote
###############################################################################

set(remote_src
    merge.cpp
    parser.cpp
    protocol.cpp
    remote.cpp
    inet.cpp

    ../auth/SecureRemotePassword/srp.cpp
    ../auth/SecureRemotePassword/srp.h
    ../auth/SecureRemotePassword/Message.h
    ../auth/trusted/AuthSspi.cpp
)
add_src_win32(remote_src
    os/win32/wnet.cpp
    os/win32/wnet_proto.h
    os/win32/xnet.cpp
    os/win32/xnet.h
    os/win32/xnet_proto.h
)
file(GLOB remote_include "*.h")

add_library             (remote ${remote_src} ${remote_include})
add_dependencies_cc     (remote UpdateCloopInterfaces)


###############################################################################
# EXECUTABLE fbserver
###############################################################################

set(fbserver_src
    ../auth/SecureRemotePassword/server/SrpServer.cpp
    ../auth/SecureRemotePassword/server/SrpServer.h
)
add_src_win32(fbserver_src
    server/os/win32/chop.cpp
    server/os/win32/cntl.cpp
    server/os/win32/property.cpp
    server/os/win32/window.cpp
    server/os/win32/srvr_w32.cpp
    server/os/win32/server.ico
    server/os/win32/caution.ico
    server/os/win32/window.rc
    server/server.cpp
)
add_src_unix(fbserver_src
    ../auth/SecureRemotePassword/srp.cpp
    server/os/posix/inet_server.cpp
    server/server.cpp

    inet.cpp
    merge.cpp
    parser.cpp
    protocol.cpp
    remote.cpp
)

add_executable              (fbserver WIN32 ${fbserver_src})
target_link_libraries       (fbserver remote common yvalve ${LIB_comctl32})
set_target_properties       (fbserver PROPERTIES OUTPUT_NAME firebird)

=== debian/changelog ===
firebird3.0 (3.0.11.33637.ds4-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2025655). Remaining changes:
    - Switch architecture to i686 on Ubuntu instead of i486

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Tue, 04 Jul 2023 11:46:03 +0100

firebird3.0 (3.0.11.33637.ds4-2) unstable; urgency=medium

  * fix arch-all-only build by overriding only dh_lintian-arch for libib-util
    override mangling.
    Thanks to Ondřej Surý (Closes: #1022579)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 24 Oct 2022 19:36:38 +0000

firebird3.0 (3.0.11.33637.ds4-1) unstable; urgency=medium

  * add gbp.conf for DEP-14 git repository layout
  * switch debian/watch to releases published on firebirdsql.org
    the ones on github aren't always accessible (JavaScript)
  * pack-upstream-snapshot: use mk-origtargz for cleaning upstream sources
    single source of truth about what needs to be removed
  * add files to source repackaging exclusion list to match official releases
    when using git snapshots
  * New upstream snapshot 3.0.11.33637.ds4
    Closes: #1021817 -- undistributable source files
  * drop two files from d/copyright that are not present in the source
  * adapt lintian overrides to version 2.115.3
  * bump Standards-Version from 4.6.0 to 4.6.1 (no changes needed)
  * review debian/copyright, move files under right licensing stanza, update
    copyright years, drop additional files with missing/unclear licenses when
    repackaging

 -- Damyan Ivanov <dmn@debian.org>  Sun, 23 Oct 2022 18:48:29 +0000

firebird3.0 (3.0.10.33601.ds4-1) unstable; urgency=medium

  * New upstream version 3.0.10.33601.ds4
  * update debian/copyright (one new file)
  * rebase no-binary-gbaks.patch to apply to slightly changed upstream

 -- Damyan Ivanov <dmn@debian.org>  Thu, 09 Jun 2022 14:33:54 +0000

firebird3.0 (3.0.9.33560.ds4-3) unstable; urgency=medium

  * add missing trailing slash from debian/firebird-image/ entry of
    debian/clean (Closes: #1010876)
    Thanks to John Paul Adrian Glaubitz

 -- Damyan Ivanov <dmn@debian.org>  Thu, 12 May 2022 09:51:55 +0000

firebird3.0 (3.0.9.33560.ds4-2) unstable; urgency=medium

  * rules: stop overriding -O3 with -O2 during build
  * apply upstream commit adding Documentation to the systemd service
  * apply upstream commit dropping StdErr=syslog from the service

 -- Damyan Ivanov <dmn@debian.org>  Fri, 15 Apr 2022 06:05:22 +0000

firebird3.0 (3.0.9.33560.ds4-1) unstable; urgency=medium

  * New upstream version 3.0.9.33560.ds4
   + refresh/update several patches

 -- Damyan Ivanov <dmn@debian.org>  Mon, 14 Feb 2022 21:09:03 +0000

firebird3.0 (3.0.8.33535.ds4-1ubuntu4) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 10:37:09 -0500

firebird3.0 (3.0.8.33535.ds4-1ubuntu3) kinetic; urgency=medium

  * No-change rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 29 Apr 2022 08:04:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: firebird3.0
 Section: database
 Priority: optional
-Maintainer: Damyan Ivanov <dmn@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
  autoconf,
  automake,
@@ -18,7 +19,7 @@
  rename,
  zlib1g-dev,
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/firebird-team/firebird3.0.git
 Vcs-Browser: https://salsa.debian.org/firebird-team/firebird3.0
 Homepage: https://firebirdsql.org/

## firebird3.0 3.0.11.33703.ds4

=== debian/changelog ===
firebird3.0 (3.0.11.33703.ds4-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:35:30 +0000

firebird3.0 (3.0.11.33703.ds4-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Switch architecture to i686 on Ubuntu instead of i486

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Feb 2024 13:55:35 +0100

firebird3.0 (3.0.11.33703.ds4-2) unstable; urgency=medium

  * Bump policy-compliance version to 4.6.2 (no changes needed)
  * drop dependency on lsb-base

 -- Damyan Ivanov <dmn@debian.org>  Tue, 26 Sep 2023 10:25:06 +0000

firebird3.0 (3.0.11.33703.ds4-1) unstable; urgency=medium

  * New official upstream release

  * add patch adding support for mipsel64 and loongarch
    adapted from upstream commit fcc471e420525dbd4a1dda59ed51487d5ead5921
    (Closes: #1042066, #1051444)
  * refresh patch offsets

 -- Damyan Ivanov <dmn@debian.org>  Mon, 25 Sep 2023 19:40:38 +0000

firebird3.0 (3.0.11.33637.ds4-2ubuntu2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:06:11 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  rename,
  zlib1g-dev,
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/firebird-team/firebird3.0.git
 Vcs-Browser: https://salsa.debian.org/firebird-team/firebird3.0
 Homepage: https://firebirdsql.org/
@@ -56,7 +56,6 @@
 Depends: adduser, ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
  firebird3.0-server-core (= ${binary:Version}),
  firebird3.0-utils (= ${binary:Version}),
- lsb-base (>= 3.0-6),
  ${misc:Depends}, debconf (>= 1.4.69),
  firebird3.0-common-doc (= ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}

=== debian/watch ===
# watch control file for uscan
# you can run the "uscan" command
# to check for upstream updates and more.
# Full-site-with-pattern  [Version  [Action]]

version=4
opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds4" \
  https://firebirdsql.org/en/firebird-3-0/ .*/[Ff]irebird-(3\.0\.\d+(?:\.\d+)?)(?:-0)?@ARCHIVE_EXT@
#opts="dversionmangle=s/(?:\.ds\d+)$//,uversionmangle=s/-\d+//;s/-(?=\D)/~/g,repacksuffix=.ds4" \
#  https://github.com/FirebirdSQL/firebird/releases .*/[Ff]irebird-(3\.0\.\d+(?:\.\d+)?)(?:-0)?@ARCHIVE_EXT@

## firebird3.0 3.0.12.ds7

=== debian/changelog ===
firebird3.0 (3.0.12.ds7-5+exp1) experimental; urgency=medium

  * remove the dot from the Debian revision

 -- Damyan Ivanov <dmn@debian.org>  Wed, 15 Jan 2025 13:26:11 +0000

firebird3.0 (3.0.12.ds7-5+exp.0) experimental; urgency=medium

  * merge with debian/unstable
  * add a patch from upstream fixing thread initialization
  * update NEWS entry about co-installability

 -- Damyan Ivanov <dmn@debian.org>  Wed, 15 Jan 2025 09:56:49 +0000

firebird3.0 (3.0.12.ds7-5) unstable; urgency=medium

  * bump -march argument from i486 to i686 (Closes: #1092320)
  * cherry-pick upstream commit adding missing int return types to autoconf
    main()
  * refresh cross-configure.patch
  * adjust line offsets

 -- Damyan Ivanov <dmn@debian.org>  Wed, 15 Jan 2025 08:48:31 +0000

firebird3.0 (3.0.12.ds7-4) unstable; urgency=medium

  * patch in mipsel vs. mips64el detection
  * add mips64el to -std=gnu++03 patching
    fixes FTBFS on mips64el with:
      ISO C++17 does not allow dynamic exception specifications

 -- Damyan Ivanov <dmn@debian.org>  Tue, 07 Jan 2025 18:43:52 +0000

firebird3.0 (3.0.12.ds7-3) unstable; urgency=medium

  * properly import mips64el and loongarch support from upstream
  * refresh patch offsets

 -- Damyan Ivanov <dmn@debian.org>  Tue, 07 Jan 2025 13:47:02 +0000

firebird3.0 (3.0.12.ds7-2) unstable; urgency=medium

  * drop out/sequential-databases-make.patch
  * add patch from upstream fixing thread initialization
  * update patch offsets

 -- Damyan Ivanov <dmn@debian.org>  Tue, 07 Jan 2025 12:27:26 +0000

firebird3.0 (3.0.12.ds7-1) unstable; urgency=medium

  * use increasing upstream version number by switching back to official
    releases, but removing the fourth version component
    No actual upstream chanes

 -- Damyan Ivanov <dmn@debian.org>  Mon, 30 Dec 2024 21:09:07 +0000

firebird3.0 (3.0.12.33787.ds6-1) unstable; urgency=medium

  * -server.postrm: fall back to userdel if deluser is not available
    fixes PIUPARTS failure
  * bump repack suffix after merging of exclusion lists
  * switch back to official releases (four-parts version numbers)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 30 Dec 2024 14:08:35 +0000

firebird3.0 (3.0.12.ds5-2) unstable; urgency=medium

  * patch Malkefile.in to build system databases in sequence

 -- Damyan Ivanov <dmn@debian.org>  Sun, 29 Dec 2024 20:08:18 +0000

firebird3.0 (3.0.12.ds5-1) unstable; urgency=medium

  * remove the firebird system user when -server is purged (Closes: #1089791)
  * add github API downloads to debian/watch
  * add gbp.conf with branch configuration
  * exclude more files during repackaging (sourceless + .gitignore)
  * New upstream version 3.0.12.ds5
  * update d/copyright for version 3.0.12
  * refresh patches
  * install systemd configs under /usr/lib instead of /lib
  * replace pkg-config build dependency with pkgconf
  * drop obsolete lsb-base dependency
  * update libib-util lintian overrides
  * drop unused debconf template shared/firebird/server_in_use
  * update debconf template translations
  * update more lintian overrides
  * declare conformance with Policy 4.7.0

 -- Damyan Ivanov <dmn@debian.org>  Sun, 29 Dec 2024 10:36:56 +0000

firebird3.0 (3.0.11.33703.ds4-4) unstable; urgency=medium

  * replace hardcoded systemd paths with pkgconf queries
    + replace pkg-config with pkgconf in Build-Depends
    + add systemd-dev to Build-Depends
    + Closes: #1073615

 -- Damyan Ivanov <dmn@debian.org>  Tue, 25 Jun 2024 10:17:13 +0000

firebird3.0 (3.0.11.33703.ds4-3+exp.1) experimental; urgency=medium

  * point Vcs-* fields to debian/experimental branch
  * debian-branch=debian/experimental in gbp.conf

 -- Damyan Ivanov <dmn@debian.org>  Sat, 27 Apr 2024 05:59:34 +0000

firebird3.0 (3.0.11.33703.ds4-3+exp.0) experimental; urgency=medium

  * Rebuild of merged 3.0.11.33703.ds4 for experimental

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Apr 2024 07:51:11 +0000

firebird3.0 (3.0.11.33703.ds4-3) unstable; urgency=medium

  * honour CXXFLAGS on arm64 (Closes: #1064907)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 05 Mar 2024 14:04:53 +0000

firebird3.0 (3.0.11.33703.ds4-2+0.local.0) experimental; urgency=medium

  * backport support for multiple servers on different ports from 4.0
    packaging
  * drop conflints/provides firebird-server, drop conflict with ancient 2.5
    versions
  * add NEWS.debian about co-installability of server packages
  * allow firebird4.0-utils as an alternative to firebird3.0-utils
  * prepare for co-installability with firebird4.0
    all binaries are under /usr/lib/firebird/3.0, depend on firebird-utils
    (from 4.0) for the client utility wrappers in /usr/bin
  * do not require a running firebird service when setting SYSDBA password
  * drop syslog.target dependency from the .service file
  * explicit path to security database and explicit list of providers
  * do not stop service before creating security database
  * drop dh_installsystemd override as not necessary
  * bump debhelper compatibility level to 13
  * out/obsolete-syslogd.target: also remove StandardError=syslog
  * add Documentation= key to firebird service file
  * drop packages to be built by firebird4.0, build-depend on firebird-dev

 -- Damyan Ivanov <dmn@debian.org>  Sat, 14 Oct 2023 18:23:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,42 @@
 Source: firebird3.0
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Damyan Ivanov <dmn@debian.org>
+Maintainer: Damyan Ivanov <dmn@debian.org>
 Build-Depends:
  autoconf,
  automake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ firebird-dev,
  gawk,
  libboost-dev,
  libedit-dev,
  libicu-dev,
  libtommath-dev,
  libtool,
- pkg-config,
+ pkgconf,
  po-debconf,
  recode,
  rename,
+ systemd-dev,
  zlib1g-dev,
 Build-Conflicts: autoconf2.13, automake1.4
-Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/firebird-team/firebird3.0.git
-Vcs-Browser: https://salsa.debian.org/firebird-team/firebird3.0
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/firebird-team/firebird3.0.git -b debian/experimental
+Vcs-Browser: https://salsa.debian.org/firebird-team/firebird3.0/-/tree/debian/experimental
 Homepage: https://firebirdsql.org/
 Rules-Requires-Root: no
 
 Package: firebird3.0-server-core
 Architecture: any
 Multi-Arch: same
-Breaks: firebird3.0-server (<< 3.0.0.32483.ds4-6~)
-Replaces: firebird3.0-server (<< 3.0.0.32483.ds4-6~)
+Breaks: firebird3.0-server (<< 3.0.9.33560.ds4-3~)
+Replaces: firebird3.0-server (<< 3.0.9.33560.ds4-3~)
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${icu:Depends},
  firebird3.0-common (= ${source:Version}),
- firebird3.0-common-doc (= ${source:Version})
-Pre-Depends: ${misc:Pre-Depends}
-Recommends: firebird3.0-utils
+ firebird3.0-common-doc (= ${source:Version}),
+ libfbclient2 (>= 4.0.1.2692.ds1-1~),
+Pre-Depends: ${misc:Pre-Depends}
+Recommends: firebird3.0-utils | firebird4.0-utils
 Suggests: firebird3.0-server
 Enhances: libfbclient2
 Description: Firebird engine core
@@ -48,14 +50,12 @@
 
 Package: firebird3.0-server
 Architecture: any
-Provides: firebird-server
-Conflicts: firebird-server,
- firebird2.5-server-common,
- firebird2.1-super, firebird2.1-classic, firebird2.1-server-common,
-Replaces: firebird3.0-server-core (<< 3.0.3.32900.ds4-3~)
+Replaces: firebird3.0-server-core (<< 3.0.9.33560.ds4-3~)
 Depends: adduser, ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
  firebird3.0-server-core (= ${binary:Version}),
- firebird3.0-utils (= ${binary:Version}),
+ firebird3.0-utils (= ${binary:Version}) | firebird4.0-utils,
+ firebird-utils,
+ libfbclient2 (>= 4.0.1.2692.ds1-1~),
  ${misc:Depends}, debconf (>= 1.4.69),
  firebird3.0-common-doc (= ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
@@ -77,14 +77,17 @@
 
 Package: firebird3.0-utils
 Architecture: any
-Provides: firebird-utils
-Conflicts: firebird-utils,
+Conflicts:
  firebird2.5-common, firebird2.5-server-common,
  firebird2.1-super, firebird2.1-classic, firebird2.1-common,
  firebird2.5-super, firebird2.5-classic-common
-Depends: ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
+Depends:
+ firebird-utils,
+ firebird3.0-common (= ${source:Version}),
+ firebird3.0-common-doc (= ${source:Version}),
+ libfbclient2 (>= 4.0.1.2692.ds1-1~),
  ${misc:Depends},
- firebird3.0-common-doc (= ${source:Version})
+ ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends}
 Recommends:
  firebird3.0-server-core,
@@ -101,32 +104,32 @@
   * nbackup -- incremental backup and file-level copy
   * gpre -- preprocess sources with embedded SQL
 
-Package: libfbclient2
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
- ${misc:Depends},
- firebird3.0-common-doc (= ${source:Version})
-Pre-Depends: ${misc:Pre-Depends}
-Description: Firebird client library
- Client library for connecting to the Firebird server. It can also be used for
- direct (embedded) database access.
- .
- See firebird3.0-server package for more information about Firebird.
-
-Package: libib-util
-Section: libs
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends},
- firebird3.0-common-doc (= ${source:Version})
-Pre-Depends: ${misc:Pre-Depends}
-Description: Firebird UDF support library
- Contains utility functions used by Firebird User-Defined Functions (UDF) for
- memory management etc.
- .
- See firebird3.0-server package for more information about Firebird.
+#Package: libfbclient2
+#Section: libs
+#Architecture: any
+#Multi-Arch: same
+#Depends: ${shlibs:Depends}, firebird3.0-common (= ${source:Version}),
+# ${misc:Depends},
+# firebird3.0-common-doc (= ${source:Version})
+#Pre-Depends: ${misc:Pre-Depends}
+#Description: Firebird client library
+# Client library for connecting to the Firebird server. It can also be used for
+# direct (embedded) database access.
+# .
+# See firebird3.0-server package for more information about Firebird.
+#
+#Package: libib-util
+#Section: libs
+#Architecture: any
+#Multi-Arch: same
+#Depends: ${shlibs:Depends}, ${misc:Depends},
+# firebird3.0-common-doc (= ${source:Version})
+#Pre-Depends: ${misc:Pre-Depends}
+#Description: Firebird UDF support library
+# Contains utility functions used by Firebird User-Defined Functions (UDF) for
+# memory management etc.
+# .
+# See firebird3.0-server package for more information about Firebird.
 
 Package: firebird3.0-common
 Architecture: all
@@ -140,22 +143,22 @@
  These include the support scripts as well as configuration files in
  /etc/firebird/3.0.
 
-Package: firebird-dev
-Section: libdevel
-Architecture: any
-Conflicts: firebird2-dev, firebird2.1-dev, firebird2.5-dev
-Replaces: firebird2-dev, firebird2.1-dev, firebird2.5-dev
-Depends: libfbclient2 (>= ${source:Version}),
- libib-util (>= ${source:Version}),
- ${misc:Depends},
- firebird3.0-common-doc (= ${source:Version})
-Pre-Depends: ${misc:Pre-Depends}
-Suggests: firebird3.0-examples
-Description: Development files for Firebird
- C header files for Firebird, useful if one compiles programs that use the
- Firebird client to work with Firebird databases.
- .
- See firebird3.0-server package for more information about Firebird.
+#Package: firebird-dev
+#Section: libdevel
+#Architecture: any
+#Conflicts: firebird2-dev, firebird2.1-dev, firebird2.5-dev
+#Replaces: firebird2-dev, firebird2.1-dev, firebird2.5-dev
+#Depends: libfbclient2 (>= ${source:Version}),
+# libib-util (>= ${source:Version}),
+# ${misc:Depends},
+# firebird3.0-common-doc (= ${source:Version})
+#Pre-Depends: ${misc:Pre-Depends}
+#Suggests: firebird3.0-examples
+#Description: Development files for Firebird
+# C header files for Firebird, useful if one compiles programs that use the
+# Firebird client to work with Firebird databases.
+# .
+# See firebird3.0-server package for more information about Firebird.
 
 Package: firebird3.0-examples
 Section: doc
